#include <bits/stdc++.h>
#define ll long long
#define pb push_back
#define pii pair<int, int>
using namespace std;
int main()
{
    int n;
    cin>>n;
    int x[n];
    for(int i=0; i<n; i++){
        cin>>x[i];
    }
    int y[n];
    for(int i=0; i<n; i++){
        cin>>y[i];
    }
    int z[n];
    for(int i=0; i<n; i++){
        cin>>z[i];
    }
    sort(x,x+n);
    int s = 0;
    for(int i=0; i<n; i++){
        int prviveciilijednak = lower_bound(x,x+n,y[z[i]-1])-x;
        int prviveci = upper_bound(x,x+n,y[z[i]-1])-x;
        s += prviveci - prviveciilijednak;
    }
    cout<<s<<endl;
    return 0;
}